[Contacts] Exported contact cannot be opened and imported on Android phone.

RESOLVED WONTFIX

Status

RESOLVED WONTFIX
5 years ago
8 months ago

People

(Reporter: ecui, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(2 attachments)

(Reporter)

Description

5 years ago
Description:
Contact(.vcf file) which is sent from Firefox OS phone to Android phone, cannot be opened and imported on Android phone.

* Steps to reproduce
Steps to reproduce:
1.  Power up and Android 4.1.2 phone and a Firefox OS phone
2.  Pair the two devices with Bluetooth
3.  On the Firefox OS phone, launch the "Contacts" application
4.  Tap setting button
5.  Tap "Export Contacts"
6.  Tap "Bluetooth"
7.  Select contact item which is to be exported
8.  Tap "Export", select paired Android phone.
9.  On the Android phone, accept the file transfer
10. Pull down the "Notifications" screen
11. Tap the row "Bluetooth received file..."

* Actual Result
It shows "cannot import vCard..." on Android phone.

* Expected Result
The vCard (.vdf file) should be imported to Contact list.

* Occurrence rate
100%

* Build Number
hamachi/1.4.0/nightly
Gaia:     2013-12-30 07:18:10  f7456a5a                         
BuildID   20131230040201                                                   
Version   29.0a1
(Reporter)

Comment 1

5 years ago
Created attachment 8354997 [details]
test_ww.vcf
(Reporter)

Updated

5 years ago
Blocks: 956203
I don't have access to bug 956203 so don't know what is blocking this bug.

IMHO, we shouldn't be really restrictive with android compatible versions, we tried this with android 4.2 and it works, sure we try other versions we will find different approaches.

In our case we decided to support vcard version 4.0, we cannot guarantee that other devices will be 100% compliance with vcard 4.0 so, again IMHO should not block something important.

Thanks!
F.
(Reporter)

Comment 3

5 years ago
(In reply to Francisco Jordano [:arcturus] from comment #2)
> I don't have access to bug 956203 so don't know what is blocking this bug.
> 
> IMHO, we shouldn't be really restrictive with android compatible versions,
> we tried this with android 4.2 and it works, sure we try other versions we
> will find different approaches.
> 
> In our case we decided to support vcard version 4.0, we cannot guarantee
> that other devices will be 100% compliance with vcard 4.0 so, again IMHO
> should not block something important.
> 
> Thanks!
> F.

I tried with Android 4.2.2 phone(Samsung Galaxy S4) and unfortenately it failed. I copied the FxOS vCard (test_ww.vcf) in Android 4.2.2 phone, it failed to import the vcf file. BTW, I exported the Android 4.2.2 vcard (as attached) and it turned out that the vcard version is 2.1.

Thanks,
Eagle
(Reporter)

Comment 4

5 years ago
Created attachment 8358235 [details]
Test_Android4.2.2.vcf
This works for me on 2.0 Flame export to a Android 4.4 device.

Comment 6

8 months ago
Firefox OS is not being worked on
Status: NEW → RESOLVED
Last Resolved: 8 months ago
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.